## ros-one-tf-conversions 1.13.4-0jammy.20251207.2227

=== debian/changelog ===
ros-one-tf-conversions (1.13.4-0jammy.20251207.2227) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 07 Dec 2025 22:27:36 +0000

ros-one-tf-conversions (1.13.4-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-one-tf-conversions (1.13.3-0jammy) jammy; urgency=high

  * Drop nonexistent rosmake doc builder. (#235 <https://github.com/ros/geometry/issues/235>)
  * Remove extra semicolon for function definitions (#240 <https://github.com/ros/geometry/issues/240>)
  * Updated library install for better portability. (#208 <https://github.com/ros/geometry/issues/208>) (#214 <https://github.com/ros/geometry/issues/214>)
  * Contributors: Kenji Brameld (TRACLabs), Mike Purvis, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-tf-conversions (1.13.2-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 00:00:00 -0000

ros-one-tf-conversions (1.13.1-0jammy) jammy; urgency=high

  * Format 2 and build_export_depend orocos kdl (#210 <https://github.com/ros/geometry/issues/210>)
  * import setup from setuptools instead of distutils-core (#209 <https://github.com/ros/geometry/issues/209>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-one-tf-conversions (1.13.0-0jammy) jammy; urgency=high

  * Replace kdl packages with rosdep keys (#206 <https://github.com/ros/geometry/issues/206>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf-conversions (1.12.1-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#204 <https://github.com/ros/geometry/issues/204>)
  * initialize the test values (#194 <https://github.com/ros/geometry/issues/194>)
  * windows bring up, use ROS_DEPRECATED
  * Contributors: James Xu, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf-conversions (1.12.0-0jammy) jammy; urgency=high

  * Remove dependency on cmake_modules (#157 <https://github.com/ros/geometry/issues/157>)
    This is not needed anymore with the move from Eigen to Eigen3 in 707eb41.
  * Make python scripts Python3 compatible. (#151 <https://github.com/ros/geometry/issues/151>)
    * Python 3 fixes
    * Prefer str.format over operator % and small python3 fixes.
  * Contributors: Jochen Sprickerhof, Maarten de Vries

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-tf-conversions (1.11.9-0jammy) jammy; urgency=high

  * Fix cmake dependency export usage
  * address gcc6 build error (#143 <https://github.com/ros/geometry/issues/143>)
  * Contributors: Lukas Bulwahn, Tully Foote, Timo Röhling

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 00:00:00 -0000

ros-one-tf-conversions (1.11.8-0jammy) jammy; urgency=high

  * tf_conversions: Add conversion functions for Eigen::Isometry3d
  * Remove outdated manifest loading in python files
  * Contributors: Maarten de Vries, Michael Hwang

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-one-tf-conversions (1.11.7-0jammy) jammy; urgency=high

  * Fixed Vector3 documentation
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.6-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.5-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.4-0jammy) jammy; urgency=high

  * Update package.xml
  * Contributors: David Lu!!

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.3-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.2-0jammy) jammy; urgency=high

  * fixing eigen usage in tf_conversions
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.1-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.0-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.10.8-0jammy) jammy; urgency=high

  * add missing runtime dependency on python_orocos_kdl for the pyKDL
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 01 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.10.7-0jammy) jammy; urgency=high

  * Fix build error in tf_conversions with orocos_kdl dependency
    Fixes #45 <https://github.com/ros/geometry/issues/45>
  * Contributors: Tessa Lau

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 27 Dec 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.6-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.5-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.4-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.3-0jammy) jammy; urgency=high

  * calling out versioned catkin requirement for CATKIN_ENABLE_TESTING

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.2-0jammy) jammy; urgency=high

  * adding unit test if CATKIN_ENABLE_TESTING statements for tf_conversions to make the whole repo compliant.

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 00:00:00 -0000



## ros-one-tf-conversions 1.13.4-0jammy.20260221.2122

=== debian/changelog ===
ros-one-tf-conversions (1.13.4-0jammy.20260221.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Feb 2026 21:22:06 +0000

## ros-one-tf-conversions 1.13.4-0noble.20251023.1001

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf_conversions)

find_package(orocos_kdl REQUIRED)
find_package(catkin REQUIRED geometry_msgs kdl_conversions tf)
find_package(Eigen3 REQUIRED)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS EIGEN3 orocos_kdl
  CATKIN_DEPENDS geometry_msgs kdl_conversions tf
)

include_directories(include ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS} ${orocos_kdl_INCLUDE_DIRS})

# Needed due to no full filename in orocos_kdl pkg-config export
link_directories(${orocos_kdl_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  src/tf_kdl.cpp
  src/tf_eigen.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES})

# Tests
if(CATKIN_ENABLE_TESTING)


catkin_add_gtest(test_eigen_tf test/test_eigen_tf.cpp)
target_link_libraries(test_eigen_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_gtest(test_kdl_tf test/test_kdl_tf.cpp)
if(CMAKE_COMPILER_IS_GNUCXX)
set_target_properties(test_kdl_tf PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
endif()
target_link_libraries(test_kdl_tf ${PROJECT_NAME} ${orocos_kdl_LIBRARIES})

catkin_add_nosetests(test/posemath.py)

endif()


install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-one-tf-conversions (1.13.4-0noble.20251023.1001) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 23 Oct 2025 10:01:01 +0000

ros-one-tf-conversions (1.13.4-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-one-tf-conversions (1.13.3-0noble) noble; urgency=high

  * Drop nonexistent rosmake doc builder. (#235 <https://github.com/ros/geometry/issues/235>)
  * Remove extra semicolon for function definitions (#240 <https://github.com/ros/geometry/issues/240>)
  * Updated library install for better portability. (#208 <https://github.com/ros/geometry/issues/208>) (#214 <https://github.com/ros/geometry/issues/214>)
  * Contributors: Kenji Brameld (TRACLabs), Mike Purvis, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-tf-conversions (1.13.2-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 00:00:00 -0000

ros-one-tf-conversions (1.13.1-0noble) noble; urgency=high

  * Format 2 and build_export_depend orocos kdl (#210 <https://github.com/ros/geometry/issues/210>)
  * import setup from setuptools instead of distutils-core (#209 <https://github.com/ros/geometry/issues/209>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-one-tf-conversions (1.13.0-0noble) noble; urgency=high

  * Replace kdl packages with rosdep keys (#206 <https://github.com/ros/geometry/issues/206>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf-conversions (1.12.1-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#204 <https://github.com/ros/geometry/issues/204>)
  * initialize the test values (#194 <https://github.com/ros/geometry/issues/194>)
  * windows bring up, use ROS_DEPRECATED
  * Contributors: James Xu, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf-conversions (1.12.0-0noble) noble; urgency=high

  * Remove dependency on cmake_modules (#157 <https://github.com/ros/geometry/issues/157>)
    This is not needed anymore with the move from Eigen to Eigen3 in 707eb41.
  * Make python scripts Python3 compatible. (#151 <https://github.com/ros/geometry/issues/151>)
    * Python 3 fixes
    * Prefer str.format over operator % and small python3 fixes.
  * Contributors: Jochen Sprickerhof, Maarten de Vries

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-tf-conversions (1.11.9-0noble) noble; urgency=high

  * Fix cmake dependency export usage
  * address gcc6 build error (#143 <https://github.com/ros/geometry/issues/143>)
  * Contributors: Lukas Bulwahn, Tully Foote, Timo Röhling

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 00:00:00 -0000

ros-one-tf-conversions (1.11.8-0noble) noble; urgency=high

  * tf_conversions: Add conversion functions for Eigen::Isometry3d
  * Remove outdated manifest loading in python files
  * Contributors: Maarten de Vries, Michael Hwang

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-one-tf-conversions (1.11.7-0noble) noble; urgency=high

  * Fixed Vector3 documentation
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.6-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.5-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-one-tf-conversions (1.11.4-0noble) noble; urgency=high

  * Update package.xml
  * Contributors: David Lu!!

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.3-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.2-0noble) noble; urgency=high

  * fixing eigen usage in tf_conversions
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.1-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.11.0-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.10.8-0noble) noble; urgency=high

  * add missing runtime dependency on python_orocos_kdl for the pyKDL
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 01 Feb 2014 00:00:00 -0000

ros-one-tf-conversions (1.10.7-0noble) noble; urgency=high

  * Fix build error in tf_conversions with orocos_kdl dependency
    Fixes #45 <https://github.com/ros/geometry/issues/45>
  * Contributors: Tessa Lau

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 27 Dec 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.6-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.5-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 19 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.4-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.3-0noble) noble; urgency=high

  * calling out versioned catkin requirement for CATKIN_ENABLE_TESTING

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 00:00:00 -0000

ros-one-tf-conversions (1.10.2-0noble) noble; urgency=high

  * adding unit test if CATKIN_ENABLE_TESTING statements for tf_conversions to make the whole repo compliant.

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 00:00:00 -0000



=== debian/control ===
Source: ros-one-tf-conversions
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, liborocos-kdl-dev, ros-one-catkin (>= 0.5.68), ros-one-geometry-msgs, ros-one-kdl-conversions, ros-one-tf
Homepage: http://www.ros.org/wiki/tf_conversions
Standards-Version: 3.9.2

Package: ros-one-tf-conversions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, liborocos-kdl-dev, liborocos-kdl1.5, python3-pykdl, ros-one-geometry-msgs, ros-one-kdl-conversions, ros-one-tf
Description: This package contains a set of conversion functions to convert common tf datatypes (point, vector, pose, etc) into semantically identical datatypes used by other libraries.
 The conversion functions make it easier for users of the transform library (tf) to work with the datatype of their choice. Currently this package has support for the Kinematics and Dynamics Library (KDL) and the Eigen matrix library. This package is stable, and will get integrated into tf in the next major release cycle (see roadmap).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-tf-conversions//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-tf-conversions 1.13.4-0noble.20251208.0922

=== debian/changelog ===
ros-one-tf-conversions (1.13.4-0noble.20251208.0922) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Dec 2025 09:22:54 +0000

## ros-one-tf-conversions 1.13.4-0noble.20260221.2208

=== debian/changelog ===
ros-one-tf-conversions (1.13.4-0noble.20260221.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Feb 2026 22:08:24 +0000
